import { request } from '@/plugins/http-fetch';

// 网元抓包PACP 开始
export function dumpStart(data: Record<string, string>) {
  return request({
    url: '/tcpdump/start',
    method: 'post',
    data: data,
  });
}

// 网元抓包PACP 结束
export function dumpStop(data: Record<string, string>) {
  return request({
    url: '/tcpdump/stop',
    method: 'post',
    data: data,
  });
}

// UPF标准版内部抓包
export function traceUPF(data: Record<string, string>) {
  return request({
    url: '/tcpdump/traceUPF',
    method: 'post',
    data: data,
  });
}
